How to Root and Unlock the Google Nexus 6 on a Mac – XDA TV

In the past, XDA Developer TV Producer droidmodd3rx has shown you how to … more

Set Up Your MediaTek Device with Comprehensive Beginner’s Guide

As can be seen with the use of MediaTek chips in Android One devices … more

Sony Updates AOSP Sources to Android 5.0.1

Just a few days ago, Sony did an utterly fantastic job by pushing out numerous device trees for … more

Stop Your Screen From Turning Off with KeepItOn

We all know the feeling of reading a news article orrather longdocument, when our screen … more

Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

[Q] Cyanogenmod Compatibility

OP mikestrong19

11th February 2014, 05:15 AM   |  #1  
OP Member
Thanks Meter: 0
 
33 posts
Join Date:Joined: Jul 2012
I am attempting to root my old XT907 before I give it to a friend and I am somewhat confused on which software versions Cyanogenmod works with. The Razr M I have is at system version 98.16.3 with the option to upgrade to 98.30.1. The build number is 9.8.1Q-78-1. The Cyanogenmod wiki says that Cyanogenmod can only be accomplished on firmware versions prior to 9.20.1, but there are also articles saying that the phone can not be rooted on Android 4.1.2 (which I currently have). Should I update to 98.30.1 or stay at the current version?

EDIT: I am familiar with the overall root and custom ROM process, but I only have experience with Samsungs so far (I have rooted and put CM on a Fascinate and a GS3). I have worked with Odin, adb, CWM, and TWRP, but not SafeStrap or some of the other non-Samsung utilities, so please excuse my illiteracy concerning Motorola rooting and custom ROMs.
Last edited by mikestrong19; 11th February 2014 at 05:22 AM.
11th February 2014, 06:19 AM   |  #2  
RikRong's Avatar
Senior Member
Thanks Meter: 475
 
1,314 posts
Join Date:Joined: Feb 2013
More
According to CM's wiki, CM is only compatible with an unlocked bootloader. So, if you haven't unlocked your bootloader, you won't be able to use it, even with SafeStrap. CM's compatibility is not based off system version, it's based off the system versions that allowed us to unlock the BL. 98.16.3 is the version that locked the bootloader. You can root on your current version and on the newest OTA, but you will only be able to use SafeStrap to load a very narrow selection of SafeStrap compatible ROMs.
11th February 2014, 06:02 PM   |  #3  
OP Member
Thanks Meter: 0
 
33 posts
Join Date:Joined: Jul 2012
So there is no way to unlock the bootloader on 98.16.3 or 98.30.1?
12th February 2014, 01:56 AM   |  #4  
megaghostgamer's Avatar
Senior Member
Thanks Meter: 740
 
1,214 posts
Join Date:Joined: Nov 2011
More
Quote:
Originally Posted by mikestrong19

So there is no way to unlock the bootloader on 98.16.3 or 98.30.1?


Correct, although with the previous post being mentioned, you can safestrap and get cm10. When I ran cm10 on my end, it had only one issue that I know of which was the camera .

Sent from my Venue 8 3830 using XDA Premium HD app
12th February 2014, 04:03 PM   |  #5  
gtmaster303's Avatar
Senior Member
Thanks Meter: 407
 
1,450 posts
Join Date:Joined: Oct 2010
Donate to Me
More
Quote:
Originally Posted by megaghostgamer

Correct, although with the previous post being mentioned, you can safestrap and get cm10. When I ran cm10 on my end, it had only one issue that I know of which was the camera .

Sent from my Venue 8 3830 using XDA Premium HD app

They never made a fully working CM10 that's SS compatible?
12th February 2014, 06:47 PM   |  #6  
RikRong's Avatar
Senior Member
Thanks Meter: 475
 
1,314 posts
Join Date:Joined: Feb 2013
More
Quote:
Originally Posted by megaghostgamer

Correct, although with the previous post being mentioned, you can safestrap and get cm10. When I ran cm10 on my end, it had only one issue that I know of which was the camera .

Sent from my Venue 8 3830 using XDA Premium HD app

I think there was one, but no one can dig it up. The camera issue is caused by kernel incompatibility.

Sent from my Droid RAZR MAXX HD using xda app-developers app
14th February 2014, 04:12 AM   |  #7  
Senior Member
Thanks Meter: 528
 
2,603 posts
Join Date:Joined: Sep 2012
Quote:
Originally Posted by megaghostgamer

Correct, although with the previous post being mentioned, you can safestrap and get cm10. When I ran cm10 on my end, it had only one issue that I know of which was the camera .

Sent from my Venue 8 3830 using XDA Premium HD app

Why do you not up load & post your ss version of cm to maybe the original thread? A cam could be found to work ? No? Btw, Mega is very good now.
14th February 2014, 06:21 AM   |  #8  
megaghostgamer's Avatar
Senior Member
Thanks Meter: 740
 
1,214 posts
Join Date:Joined: Nov 2011
More
Quote:
Originally Posted by aviwdoowks

Why do you not up load & post your ss version of cm to maybe the original thread? A cam could be found to work ? No? Btw, Mega is very good now.

http://d-h.st/pja this is the one that pretty much is stable aside from camera not working.

Credits goes to Leraeniesh in this thread http://forum.xda-developers.com/show....php?t=2608594

The Following User Says Thank You to megaghostgamer For This Useful Post: [ View ]
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes